LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 11-23-2006, 05:27 PM   #1
sernova
LQ Newbie
 
Registered: Nov 2006
Posts: 3

Rep: Reputation: 0
Perl 5.8.8 and old modules from Perl 5.8.0


Hello, everybody!
I have Mandrake Linux, version 9.1.
I installed Perl 5.8.8 (I failed to do it from CPAN, I did it manually from .tar.gz - file, and
this was successful. But I didn't remove my previous Perl-version, and now I cannot run
any script with my old installed modules. Those scripts worked successfully with Perl 5.8.0.
I tried to re-install a couple of modules through cpan, even force install - they still don't work.
When I run a script:
#!/usr/local/bin/perl
use LWP::UserAgent;
I have:
$perl test2.pl
Can't locate LWP/UserAgent.pm in @INC (@INC contains: /usr/local/lib/perl5/5.8ocal/lib/perl5/5.8.8 /usr/local/lib/perl5/site_perl/5.8.8/i686-linux /usr/local/5.8.8 /usr/local/lib/perl5/site_perl .) at test2.pl line 2.
BEGIN failed--compilation aborted at test2.pl line 2.

What to do with this?
Many thanks in advance!
 
Old 11-23-2006, 10:26 PM   #2
jiml8
Senior Member
 
Registered: Sep 2003
Posts: 3,171

Rep: Reputation: 116Reputation: 116
You might be able to copy the modules from your 5.8 installation and have them work in 5.8.8. Just depends. If the module hasn't been changed (and very many have not) then you'll be OK.

Would be better for you to get all the optional perl RPMs and install them. Problem is that some binaries might not run on the old 9.1 platform; you could find yourself in "dependency hell" trying to upgrade.

Why don't you just upgrade to Mandriva 2007, then all your library support will be current and correct for 5.8.8?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Perl Modules. cramer Programming 0 09-21-2006 06:06 PM
I Need Perl Modules!!! benmay05 Programming 2 07-01-2005 02:48 PM
perl modules mairul Linux - Newbie 13 03-08-2004 09:41 PM
perl(Cwd) perl(File::Basename) perl(File::Copy) perl(strict)....What are those? Baldorg Linux - Software 1 11-09-2003 08:09 PM
Perl Modules ostony Linux - General 0 04-19-2001 10:41 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 10:58 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration